<html lang="en">
<head>
<title>Input language - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Introduction-by-example.html#Introduction-by-example" title="Introduction by example">
<link rel="next" href="Building-a-drawing.html#Building-a-drawing" title="Building a drawing">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Input-language"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Building-a-drawing.html#Building-a-drawing">Building a drawing</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Introduction-by-example.html#Introduction-by-example">Introduction by example</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">3 Input language</h2>

<p>This chapter describes the <code>sketch</code> input language in detail.

<ul class="menu">
<li><a accesskey="1" href="Language-basics.html#Language-basics">Language basics</a>:              Case, space, comments, include files. 
<li><a accesskey="2" href="Drawables.html#Drawables">Drawables</a>:                    Things that can be drawn. 
<li><a accesskey="3" href="Definitions.html#Definitions">Definitions</a>:                  Giving things names. 
<li><a accesskey="4" href="Global-environment.html#Global-environment">Global environment</a>:           Affect the entire drawing. 
</ul>

   </body></html>

